\documentclass{article}
\usepackage{amsmath}
\usepackage{graphicx}
\begin{document}
	(a) For each $x_i$, if $x_i = 1$, then $x_i$ is a center; if $x_i = 0$, then $x_i$ is not a center In $\sum_{i = 1}^{n} x_{i} = k$, we know that there are $k$ numbers of $x_i$ s.t., $x_i = 1$, which means there are $k$ centers.
	
	For each point $p_j$, we consider all points $p_i$ such that $D(p_i, p_j) \leq \rho$, We need at least one of them is a center($x_i = 1$). The second constraint satisfies that.
	
	~\
	
	(b)  Pick a
	point $p_{i}$ with $0 < x_{i}^{*} < 1$. Consider
	all points $p_{j} \neq p_{i}$ such that $D(p_{i}, p_{j}) \leq \rho$. For each
	such point $p_{j}$, add $x_{j}^{*}$ to $x_{i}^{*}$ and then round down
	$x_{j}^{*}$ to 0. In other words, we ``transfer'' $x_{j}^{*}$ from $p_{j}$ to
	$p_{i}$. 
	
	Now $x_{i}^{*} = x_{i}^{*} + x_{j}^{*}$. For all points $p$ that $p_{j}$ was helping
	cover as a ''fractional'' center, we reassign these points so that $p_{i}$ is covering it. According to triangle inequality, $D(x_{i}, p) \leq D(x_{i}, x_{j}) + D(x_{j}, p) = \rho +\rho = 2\rho$. So $p_{i}$ is eligible for covering $p$ in radius $2\rho$.
	
	The algorithm are as follows:
	
	~\
	
	Rounding($P, D, k, x^*$): \par
		for $i$ from 1 to $n$ do: \par 
			if($x_{i}^* > 0$) \par
				S $\gets$ $\{j|D(p_i, p_j) \leq \rho\}$ \par
				if($]\sum_{j \in S} \geq 1$) \par
					$x_{i}^* \gets 1$ \par
					$x_{j, j \in S, j \neq i}^* \gets 0$ \par
		end for	\par	
		randomly pick $(k - \sum_{i} x_{i}^*)$ centers \par
	end Rounding
	
	~\
	
	(c) Run the 2-approximation greedy algorithm for $k$-center and get a radius $\rho'$. According to the definition of greedy algorithm, $\frac{1}{2} \rho' \leq \rho \leq \rho'$. So we inspect every pair $(p_i, p_j)$, if $\frac{1}{2} \rho' \leq D(p_i, p_j) \leq \rho'$, then $\rho = D(p_i, p_j)$ is a candidate. 
\end{document}